<!DOCTYPE html>
<html>
  <head>
    <title>q3</title>
    <meta charset="utf-8" />
    <style>
      body {
        background-color: lightslategrey;
        font-family: sans-serif;
      }
      h1 {
        text-align: center;
        color: white;
      }
      article {
        margin: 5px auto;
        padding: 10px;
        width: 600px;
        height: 200px;
        background-color: white;
      }
      .content .btn_delete {
        margin: 10px;
      }
      .cover_delete {
        width: 100%;
        height: 100%;

        top: 0;
        left: 0;

        display: flex;
        justify-content: center;
        align-items: center;
        position: fixed;
        z-index: 2;
      }
      .cover_confirm {
        width: 100%;
        height: 100%;

        top: 0;
        left: 0;

        display: flex;
        justify-content: center;
        align-items: center;
        position: fixed;
        z-index: 3;
      }
      .hidden {
        display: none;
      }
      .dimmed {
        width: 100%;
        height: 100%;

        background-color: rgba(0, 0, 0, 0.3);

        position: absolute;
        z-index: -1;
      }
      .wrapper {
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .modal {
        background-color: white;
        width: 320px;
        padding: 10px;
        box-shadow: dimgray 0 0 10px;
        text-align: center;
      }
      .noscroll {
        overflow: hidden;
      }
    </style>
  </head>
  <body>
    <h1>blog</h1>
    <div>
      <article>내용1 <button class="btn_delete">삭제</button></article>
      <article>내용2 <button class="btn_delete">삭제</button></article>
      <article>내용3 <button class="btn_delete">삭제</button></article>
      <article>내용4 <button class="btn_delete">삭제</button></article>
      <article>내용5 <button class="btn_delete">삭제</button></article>
      <article>내용6 <button class="btn_delete">삭제</button></article>
    </div>

    <div class="cover_delete hidden">
      <div class="dimmed"></div>
      <div class="wrapper">
        <div class="modal">
          <p>삭제 하시겠습니까?</p>
          <footer>
            <button id="btn_delete_proceed">확인</button>
            <button id="btn_del_stop">취소</button>
          </footer>
        </div>
      </div>
    </div>

    <div class="cover_confirm hidden">
      <div class="wrapper">
        <div class="modal">
          <p>삭제 되었습니다.</p>
          <footer>
            <button id="btn_confirm_proceed">확인</button>
          </footer>
        </div>
      </div>
    </div>

    <script>
      function createModal() {
        //
        const btns = document.querySelectorAll(".btn_delete");
        const deleteModal = document.querySelector(".cover_delete");
        const confirmModal = document.querySelector(".cover_confirm");
        //
        const deleteModalProceedBtn = document.querySelector("#btn_delete_proceed");
        const deleteModalStopBtn = document.querySelector("#btn_del_stop");
        const confirmModalProceedBtn = document.querySelector("#btn_confirm_proceed");

        //
        let delArticle;
        let scrollPos = 0;

        //
        function deleteArticle(e) {
          try {
            document.body.classList.add("noscroll");
            deleteModal.classList.remove("hidden");

            delArticle = e.target.parentNode;
          } catch (e) {
            console.err(e);
          }
        }
        //
        function proceedDelete(e) {
          try {
            delArticle.parentNode.removeChild(delArticle);

            confirmModal.classList.remove("hidden");
          } catch (e) {
            console.err(e);
          }
        }
        function stopDelete(e) {
          try {
            document.body.classList.remove("noscroll");
            deleteModal.classList.add("hidden");

            window.scrollTo(0, scrollPos);
          } catch (e) {
            console.err(e);
          }
        }
        function proceedConfirm(e) {
          try {
            document.body.classList.remove("noscroll");
            deleteModal.classList.add("hidden");
            confirmModal.classList.add("hidden");

            window.scrollTo(0, scrollPos);
          } catch (e) {
            console.err(e);
          }
        }

        //
        btns.forEach((btn) => btn.addEventListener("click", (e) => deleteArticle(e)));
        deleteModalProceedBtn.addEventListener("click", (e) => proceedDelete(e));
        deleteModalStopBtn.addEventListener("click", (e) => stopDelete(e));
        confirmModalProceedBtn.addEventListener("click", (e) => proceedConfirm(e));
        //
        window.addEventListener("scroll", () => {
          scrollPos = window.scrollY;
        });
      }

      function init() {
        createModal();
      }

      init();
    </script>
  </body>
</html>
